# Interface ICefX509CertPrincipal

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefX509CertPrincipal = interface(ICefBaseRefCounted)`

## Description

Interface representing the issuer or subject field of an X.509 certificate.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_x509_certificate_capi.h">CEF source file: /include/capi/cef_x509_certificate_capi.h (cef_x509_cert_principal_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefX509CertPrincipal

## Overview

### Methods

| `function GetDisplayName: ustring;`
| `function GetCommonName: ustring;`
| `function GetLocalityName: ustring;`
| `function GetStateOrProvinceName: ustring;`
| `function GetCountryName: ustring;`
| `procedure GetOrganizationNames(const names: TStrings);`
| `procedure GetOrganizationUnitNames(const names: TStrings);`

## Description

### Methods

| `function GetDisplayName: ustring;`
Returns a name that can be used to represent the issuer. It tries in this order: Common Name (CN), Organization Name (O) and Organizational Unit Name (OU) and returns the first non-NULL one found. ###### Attributes GUID['{CD3621ED-7D68-4A1F-95B5-190C7001B65F}']

| `function GetCommonName: ustring;`
Returns the common name.

| `function GetLocalityName: ustring;`
Returns the locality name.

| `function GetStateOrProvinceName: ustring;`
Returns the state or province name.

| `function GetCountryName: ustring;`
Returns the country name.

| `procedure GetOrganizationNames(const names: TStrings);`
Retrieve the list of organization names.

| `procedure GetOrganizationUnitNames(const names: TStrings);`
Retrieve the list of organization unit names.

Generated by PasDoc 0.16.0-snapshot.